program cols

!  This program computes the integral of x**i for a few i, fills the columns
!  of a two-dimensional array with the values, and prints the array.

  use splines
  integer, parameter:: n=4, m=6
  real, dimension(m):: x, y
  real, dimension(n,m):: s

  do j=1,m
    x(j) = j-1
  end do

  do i=1,n
    y = x**i
    s(i,:) = spline_integral(x,y)
  end do

  write (*,'(4f10.1)') s

END
