program rows

!  This program computes the integral of x**j for a few j, fills the rows
!  of a two-dimensional array with the values, and prints the array.

  use splines
  integer, parameter:: n=6, m=4
  real, dimension(n):: x, y
  real, dimension(n,m):: s

  do i=1,n
    x(i) = i-1
  end do

  do j=1,m
    y = x**j
    s(:,j) = spline_integral(x,y)
  end do

  write (*,'(6f10.1)') s

END
